
From: Rusty Russell <rusty@rustcorp.com.au>
      Steve Youngs, Stephen Hemminger

Three more MODULE_ALIASes.  Trivial, but useful if people want things
to "just work" in 2.6.0.



 drivers/net/pppoe.c |    1 +
 drivers/scsi/sg.c   |    1 +
 fs/isofs/inode.c    |    3 ++-
 sound/core/sound.c  |    2 ++
 sound/sound_core.c  |    2 ++
 5 files changed, 8 insertions(+), 1 deletion(-)

diff -puN drivers/net/pppoe.c~more-MODULE_ALIASes drivers/net/pppoe.c
--- 25/drivers/net/pppoe.c~more-MODULE_ALIASes	2003-12-18 23:57:06.000000000 -0800
+++ 25-akpm/drivers/net/pppoe.c	2003-12-18 23:57:06.000000000 -0800
@@ -1151,3 +1151,4 @@ module_exit(pppoe_exit);
 MODULE_AUTHOR("Michal Ostrowski <mostrows@speakeasy.net>");
 MODULE_DESCRIPTION("PPP over Ethernet driver");
 MODULE_LICENSE("GPL");
+MODULE_ALIAS_NETPROTO(PF_PPPOX);
diff -puN drivers/scsi/sg.c~more-MODULE_ALIASes drivers/scsi/sg.c
--- 25/drivers/scsi/sg.c~more-MODULE_ALIASes	2003-12-18 23:57:06.000000000 -0800
+++ 25-akpm/drivers/scsi/sg.c	2003-12-18 23:57:06.000000000 -0800
@@ -2976,3 +2976,4 @@ sg_proc_version_info(char *buffer, int *
 
 module_init(init_sg);
 module_exit(exit_sg);
+MODULE_ALIAS_CHARDEV_MAJOR(SCSI_GENERIC_MAJOR);
diff -puN fs/isofs/inode.c~more-MODULE_ALIASes fs/isofs/inode.c
--- 25/fs/isofs/inode.c~more-MODULE_ALIASes	2003-12-18 23:57:06.000000000 -0800
+++ 25-akpm/fs/isofs/inode.c	2003-12-18 23:57:06.000000000 -0800
@@ -1463,4 +1463,5 @@ static void __exit exit_iso9660_fs(void)
 module_init(init_iso9660_fs)
 module_exit(exit_iso9660_fs)
 MODULE_LICENSE("GPL");
-
+/* Actual filesystem name is iso9660, as requested in filesystems.c */
+MODULE_ALIAS("iso9660");
diff -puN sound/core/sound.c~more-MODULE_ALIASes sound/core/sound.c
--- 25/sound/core/sound.c~more-MODULE_ALIASes	2003-12-18 23:57:06.000000000 -0800
+++ 25-akpm/sound/core/sound.c	2003-12-18 23:57:06.000000000 -0800
@@ -31,6 +31,7 @@
 #include <sound/initval.h>
 #include <linux/kmod.h>
 #include <linux/devfs_fs_kernel.h>
+#include <linux/device.h>
 
 #define SNDRV_OS_MINORS 256
 
@@ -52,6 +53,7 @@ MODULE_PARM_SYNTAX(major, "default:116,s
 MODULE_PARM(cards_limit, "i");
 MODULE_PARM_DESC(cards_limit, "Count of soundcards installed in the system.");
 MODULE_PARM_SYNTAX(cards_limit, "default:8,skill:advanced");
+MODULE_ALIAS_CHARDEV_MAJOR(CONFIG_SND_MAJOR);
 #ifdef CONFIG_DEVFS_FS
 MODULE_PARM(device_mode, "i");
 MODULE_PARM_DESC(device_mode, "Device file permission mask for devfs.");
diff -puN sound/sound_core.c~more-MODULE_ALIASes sound/sound_core.c
--- 25/sound/sound_core.c~more-MODULE_ALIASes	2003-12-18 23:57:06.000000000 -0800
+++ 25-akpm/sound/sound_core.c	2003-12-18 23:57:06.000000000 -0800
@@ -45,6 +45,7 @@
 #include <linux/major.h>
 #include <linux/kmod.h>
 #include <linux/devfs_fs_kernel.h>
+#include <linux/device.h>
 
 #define SOUND_STEP 16
 
@@ -547,6 +548,7 @@ EXPORT_SYMBOL(mod_firmware_load);
 MODULE_DESCRIPTION("Core sound module");
 MODULE_AUTHOR("Alan Cox");
 MODULE_LICENSE("GPL");
+MODULE_ALIAS_CHARDEV_MAJOR(SOUND_MAJOR);
 
 static void __exit cleanup_soundcore(void)
 {

_
